Page scroll to id
=========================

Page scroll to id is an easy-to-use jQuery plugin that enables animated page scrolling to specific id within the document. 
The plugin replaces the default browser behaviour of "jumping" to page sections when links with href value containing `#` are clicked, by smoothly animating the page to those sections ([see demo](http://manos.malihu.gr/repository/page-scroll-to-id/demo/demo.html)). Features include: 

* Auto-adjustable animation speed 
* Advanced animation easings 
* Vertical and/or horizontal scrolling 
* Links and targets highlighting via ready-to-use classes 
* Auto-adjustable Scroll-to position 
* Advanced scroll-to position offset (by pixels, by element selector, link specific offsets etc.) 

#### Installation

Bower: `bower install page-scroll-to-id` 

npm: `npm install page-scroll-to-id` 

#### Usage 

`$("a[href*='#']").mPageScroll2id();` 

#### For more information 

* [Plugin homepage and documentation](http://manos.malihu.gr/page-scroll-to-id/) 
* [Code examples & short tutorials](http://manos.malihu.gr/page-scroll-to-id/2/)
* [FAQ](http://manos.malihu.gr/page-scroll-to-id/3/) 
* [Page scroll to id for WordPress](http://wordpress.org/plugins/page-scroll-to-id/)

Requirements
-------------------------

jQuery version **1.7.0** or higher

Browser compatibility
-------------------------

* Internet Explorer 8+ 
* Firefox 3.5+
* Chrome 
* Opera 
* Safari 4+ 
* iOS 
* Android 
* Windows Phone

License 
-------------------------

MIT License (MIT)

http://opensource.org/licenses/MIT

Donate 
-------------------------

https://www.paypal.com/cgi-bin/webscr?cmd=_s-xclick&hosted_button_id=UYJ5G65M6ZA28